[
{"info": "-- paper dimensions to use"},


{"paperBottom": "draw.bottom(paper)"},
{"info": "-- paperRight: draw.right(paper)"},

{"paperWidth": "draw.width(paper)"},
{"info": "-- paperHeight: draw.height(paper)"},

{"widthMiddle": "math.floor(paperWidth * 0.42)"},
{"info": " -- 0.42,  0.475"},

{"headerBottomHorizontalLine": "260"},

{"info": " -- rowDataHeight: 15"},

{"rowNumberWidth": "30"},
{"rowProductWidth": "110"},
{"rowOrderAmountWidth": "30"},
{"rowOrderUnitWidth": "30"},
{"rowPriceUnitWidth": "50"},
{"rowPriceWidth": "50"},
{"rowPriceWithVatWidth": "60"},
{"rowExplanationWidth": "paperWidth - rowNumberWidth - rowProductWidth - rowOrderAmountWidth - rowOrderUnitWidth - rowPriceUnitWidth - rowPriceWidth - rowPriceWithVatWidth"},
{"rowDataTop": "headerBottomHorizontalLine + style.row_header.row_height"},

{"sumRowHeight": "16"},
{"sumRowLabelWidth": "150"},
{"sumRowDataWidth": "120"},

{"footerTextBoxWidth": "math.floor(paperWidth / 5)"},
{"footerTextBoxHeight": "62"},
{"footerTextBoxDataTop": "paperBottom - footerTextBoxHeight"},
{"footerTextBoxLabelTop": "footerTextBoxDataTop - 12"},
{"footerTextBoxLabelHeight": "15"},

{"footerInfoHeight": "60"},
{"footerInfoBottom": "footerTextBoxLabelTop - 4"},
{"footerInfoTop": "footerInfoBottom - footerInfoHeight"},
{"footerInfoDataTop": "footerInfoTop + 4"},
{"footerInfoLabelTop": "footerInfoTop - 2 - 14"},
{"info": " -- style.report_info_label.font_size"},
{"info": " -- totalTop: footerInfoLabelTop - 100"},
{"info": " -- rowTop: 300 -- PAAVO laske ensin yläosan korkeus ja laske sitten tähän arvo"},
{"info": " -- rowHeight: totalTop - rowTop"},



{"textFieldMargin": "4"}
]
